
// TYPE_HERE: here you can type your new macros  using the #define directive
// like trng did it in the "macros.h" file


// macro to test command flags for drone, handling the chance that, a command, was shaped with two or more flags
#define IsCmd(Flags) ((InputKeys & Flags) == Flags)

// macro to trasnfer (in fast and concise way) the GAME_VECTOR structure Pos (position + room) from a GAME_VECTOR to a StrItemTr4 (moveable structure)
#define CopyPosToItem(Pos, pItem) \
	pItem->CordX = Pos.CordX; \
	pItem->CordY = Pos.CordY; \
	pItem->CordZ = Pos.CordZ; \
	pItem->Room = Pos.Room

// macro alike above but with opposite copying: from pItem to GAME_VECTOR
#define CopyItemToPos(pItem, Pos) \
	Pos.CordX = pItem->CordX; \
	Pos.CordY = pItem->CordY; \
	Pos.CordZ = pItem->CordZ; \
	Pos.Room = pItem->Room;
